Bug 1704706 - Multus deletion failures on freshly-booted nodes
Summary: Multus deletion failures on freshly-booted nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Casey Callendrello
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-30 11:58 UTC by Casey Callendrello
Modified: 2019-06-04 10:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:24 UTC

Description Casey Callendrello 2019-04-30 11:58:49 UTC
We saw some deletion failures on fresly-rebooted nodes:

Apr 30 10:37:18 ip-10-0-128-167 crio[2574]: 2019-04-30T10:37:18Z [verbose] Del: openshift-console:downloads-986db4698-n6qkw:openshift-sdn:eth0 {"cniVersion":"0.3.1","name":"openshift-sdn","type":"openshift-sdn"}
Apr 30 10:37:18 ip-10-0-128-167 crio[2574]: 2019-04-30T10:37:18Z [error] Multus: error in invoke Delegate del - "openshift-sdn": failed to send CNI request: Post http://dummy/: dial unix /var/run/openshift-sdn/cni-server.sock: connect: no such file or directory
Apr 30 10:37:18 ip-10-0-128-167 crio[2574]: time="2019-04-30 10:37:18.761334406Z" level=error msg="Error deleting network: Multus: error in invoke Delegate del - "openshift-sdn": failed to send CNI request: Post http://dummy/: dial unix /var/run/openshift-sdn/cni-server.sock: connect: no such file or directory

We should be deleting both the openshift-sdn and multus configuration files on boot. Then, multus waits for openshift-sdn to come up before writing its own configuration file.

Comment 1 Casey Callendrello 2019-04-30 12:01:30 UTC
I also noticed that our current file that removes the openshift-sdn file is broken due to a directory change.

Comment 2 Casey Callendrello 2019-04-30 12:20:59 UTC
filed https://github.com/openshift/machine-config-operator/pull/685

Comment 5 Meng Bo 2019-05-08 12:16:57 UTC
Tested on 4.1.0-0.nightly-2019-05-08-065958

There is no such error on the node boot up

Comment 7 errata-xmlrpc 2019-06-04 10:48:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.